package com.atrium.hibernate.modelo;

import java.util.List;

import org.springframework.transaction.annotation.Transactional;

import com.atrium.hibernate.Tareas;
import com.atrium.hibernate.Usuarios;

public interface IGestion_Usuario {

	// ***** CONSULTAS A LA ENTIDAD
	public Usuarios consultar_PorNombre(String nombre_usuario);

	public abstract List<Tareas> consultar_TareasUsuario(Usuarios usuario);

	public abstract List<Usuarios> consultar_Todos();

	public abstract Usuarios consultar_ConRol(String nombre_usuario);

	public abstract void alta_Usuario(Usuarios usuario_nuevo);

	public abstract void baja_Usuario(Usuarios usuario_aeliminar);

	public abstract void modificacion_Usuario(Usuarios usuario_amodificar);

}